import request from '@/utils/request'

// 查询水电校园安全不良事件列表
export function listSafetyDeclaration(query) {
  return request({
    url: '/sidebarPc/safetyDeclaration/list',
    method: 'get',
    params: query
  })
}

// 查询水电校园安全不良事件详细
export function getSafetyDeclaration(id) {
  return request({
    url: '/sidebarPc/safetyDeclaration/' + id,
    method: 'get'
  })
}

// 新增水电校园安全不良事件

export function addSafetyDeclaration(data) {
  return request({
    url: '/sidebarPc/safetyDeclaration',
    method: 'post',
    data: data
  })
}

// 修改水电校园安全不良事件

export function updateSafetyDeclaration(data) {
  return request({
    url: '/sidebarPc/safetyDeclaration',
    method: 'put',
    data: data
  })
}

// 删除水电校园安全不良事件

export function delSafetyDeclaration(id) {
  return request({
    url: '/sidebarPc/safetyDeclaration/' + id,
    method: 'delete'
  })
}
